Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IDouble

    java.lang.Object
      igeo.IParameterObject
          igeo.IDouble

All Implemented Interfaces:
  IDoubleI, IDoubleOp, IEntityParameter, IParameter, ISubobject

    public class IDouble

extends IParameterObject
implements IDoubleI, IEntityParameter

Entity class of double (1 dimensional vector) to be used as IParameterObject.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`double` | `x`

Fields inherited from class igeo.IParameterObject
`parent`

Constructor Summary
`IDouble()`
`IDouble(double x)`
`IDouble(IDouble v)`
`IDouble(IDoubleI v)`
`IDouble(IIntegerI v)`
`IDouble(IServerI s)`
`IDouble(IServerI s, double x)`
`IDouble(IServerI s, IDouble v)`
`IDouble(IServerI s, IDoubleI v)`
`IDouble(IServerI s, IIntegerI v)`

Method Summary
`IDouble` | `abs()`
`IDouble` | `acos()`
`IDouble` | `add(double x)`
`IDouble` | `add(IDoubleI v)`
`IDouble` | `asin()`
`IDouble` | `atan()`
`IDouble` | `atan2(double x2)`
`IDouble` | `atan2(IDoubleI x2)`
`IDouble` | `cos()`
`IDouble` | `deg()`
`IDouble` | `div(double x)`
`IDouble` | `div(IDoubleI v)`
`IDouble` | `dup()`
`boolean` | `eq(double v)`
`boolean` | `eq(double v, double resolution)`
`boolean` | `eq(IDouble v)`
`boolean` | `eq(IDouble v, double resolution)`
`boolean` | `eq(IDoubleI v)`
`boolean` | `eq(IDoubleI v, double resolution)`
`boolean` | `eq(ISwitchE e, IDoubleI v)`
`boolean` | `eq(ISwitchE e, IDoubleI v, double resolution)`
`IBool` | `eq(ISwitchR r, IDoubleI v)`
`IBool` | `eq(ISwitchR r, IDoubleI v, IDoubleI resolution)`
`IDouble` | `exp()`
`IDouble` | `get()`
`IDouble` | `getX()`
`IDouble` | `inv()`
`boolean` | `isValid()`
`static boolean` | `isValid(double val)`
`static boolean` | `isValid(float val)`
`IDouble` | `log()`
`IDouble` | `mul(double x)`
`IDouble` | `mul(IDoubleI v)`
`IDouble` | `neg()`
`IDouble` | `pow(double n)`
`IDouble` | `pow(IDoubleI n)`
`IDouble` | `rad()`
`IDouble` | `set(double x)`
`IDouble` | `set(IDoubleI v)`
`IDouble` | `set(IIntegerI v)`
`IDouble` | `sin()`
`IDouble` | `sq()`
`IDouble` | `sqrt()`
`IDouble` | `sub(double x)`
`IDouble` | `sub(IDoubleI v)`
`IDouble` | `tan()`
`double` | `x()`

Methods inherited from class igeo.IParameterObject
`createObject, parent, parent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    public double x

Constructor Detail

### IDouble

    public IDouble()

### IDouble

    public IDouble(double x)

### IDouble

    public IDouble(IDouble v)

### IDouble

    public IDouble(IDoubleI v)

### IDouble

    public IDouble(IIntegerI v)

### IDouble

    public IDouble(IServerI s)

### IDouble

    public IDouble(IServerI s,
                   double x)

### IDouble

    public IDouble(IServerI s,
                   IDouble v)

### IDouble

    public IDouble(IServerI s,
                   IDoubleI v)

### IDouble

    public IDouble(IServerI s,
                   IIntegerI v)

Method Detail

### x

    public double x()

  Specified by:
    `x` in interface `IDoubleI`
  Specified by:
    `x` in interface `IDoubleOp`
  Returns:
    primitive value

### get

    public IDouble get()

  Specified by:
    `get` in interface `IDoubleI`
  Specified by:
    `get` in interface `IDoubleOp`
  Specified by:
    `get` in interface `IParameter`
  Returns:
    fixed value but in wrapper class

### getX

    public IDouble getX()

  Specified by:
    `getX` in interface `IDoubleI`
  Returns:
    generic parameter of the value (either of entity class or reference class)

### dup

    public IDouble dup()

  Specified by:
    `dup` in interface `IDoubleI`
  Returns:
    duplicated instance

### set

    public IDouble set(double x)

  Specified by:
    `set` in interface `IDoubleI`

### set

    public IDouble set(IDoubleI v)

  Specified by:
    `set` in interface `IDoubleI`

### set

    public IDouble set(IIntegerI v)

  Specified by:
    `set` in interface `IDoubleI`

### add

    public IDouble add(double x)

  Specified by:
    `add` in interface `IDoubleI`

### add

    public IDouble add(IDoubleI v)

  Specified by:
    `add` in interface `IDoubleI`

### sub

    public IDouble sub(double x)

  Specified by:
    `sub` in interface `IDoubleI`

### sub

    public IDouble sub(IDoubleI v)

  Specified by:
    `sub` in interface `IDoubleI`

### mul

    public IDouble mul(double x)

  Specified by:
    `mul` in interface `IDoubleI`

### mul

    public IDouble mul(IDoubleI v)

  Specified by:
    `mul` in interface `IDoubleI`

### div

    public IDouble div(double x)

  Specified by:
    `div` in interface `IDoubleI`

### div

    public IDouble div(IDoubleI v)

  Specified by:
    `div` in interface `IDoubleI`

### neg

    public IDouble neg()

  Specified by:
    `neg` in interface `IDoubleI`

### inv

    public IDouble inv()

  Specified by:
    `inv` in interface `IDoubleI`

### abs

    public IDouble abs()

  Specified by:
    `abs` in interface `IDoubleI`

### pow

    public IDouble pow(double n)

  Specified by:
    `pow` in interface `IDoubleI`

### pow

    public IDouble pow(IDoubleI n)

  Specified by:
    `pow` in interface `IDoubleI`

### sq

    public IDouble sq()

  Specified by:
    `sq` in interface `IDoubleI`

### sqrt

    public IDouble sqrt()

  Specified by:
    `sqrt` in interface `IDoubleI`

### exp

    public IDouble exp()

  Specified by:
    `exp` in interface `IDoubleI`

### log

    public IDouble log()

  Specified by:
    `log` in interface `IDoubleI`

### sin

    public IDouble sin()

  Specified by:
    `sin` in interface `IDoubleI`

### cos

    public IDouble cos()

  Specified by:
    `cos` in interface `IDoubleI`

### tan

    public IDouble tan()

  Specified by:
    `tan` in interface `IDoubleI`

### asin

    public IDouble asin()

  Specified by:
    `asin` in interface `IDoubleI`

### acos

    public IDouble acos()

  Specified by:
    `acos` in interface `IDoubleI`

### atan

    public IDouble atan()

  Specified by:
    `atan` in interface `IDoubleI`

### atan2

    public IDouble atan2(double x2)

  Specified by:
    `atan2` in interface `IDoubleI`

### atan2

    public IDouble atan2(IDoubleI x2)

  Specified by:
    `atan2` in interface `IDoubleI`

### deg

    public IDouble deg()

  Specified by:
    `deg` in interface `IDoubleI`

### rad

    public IDouble rad()

  Specified by:
    `rad` in interface `IDoubleI`

### eq

    public boolean eq(double v)

  Specified by:
    `eq` in interface `IDoubleI`

### eq

    public boolean eq(IDouble v)

### eq

    public boolean eq(IDoubleI v)

  Specified by:
    `eq` in interface `IDoubleI`

### eq

    public boolean eq(ISwitchE e,
                      IDoubleI v)

  Specified by:
    `eq` in interface `IDoubleI`

### eq

    public IBool eq(ISwitchR r,
                    IDoubleI v)

  Specified by:
    `eq` in interface `IDoubleI`

### eq

    public boolean eq(double v,
                      double resolution)

  Specified by:
    `eq` in interface `IDoubleI`

### eq

    public boolean eq(IDouble v,
                      double resolution)

### eq

    public boolean eq(IDoubleI v,
                      double resolution)

  Specified by:
    `eq` in interface `IDoubleI`

### eq

    public boolean eq(ISwitchE e,
                      IDoubleI v,
                      double resolution)

  Specified by:
    `eq` in interface `IDoubleI`

### eq

    public IBool eq(ISwitchR r,
                    IDoubleI v,
                    IDoubleI resolution)

  Specified by:
    `eq` in interface `IDoubleI`

### isValid

    public boolean isValid()

### isValid

    public static boolean isValid(double val)

### isValid

    public static boolean isValid(float val)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD